List an application's workflow runs
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"conclusion": "<string>",
"branch": "<string>",
"event": "<string>",
"run_number": 123,
"created_at": "<string>",
"updated_at": "<string>",
"run_started_at": "<string>",
"html_url": "<string>",
"actor": "<string>",
"head_sha": "<string>",
"duration_seconds": 123,
"published_chart_version": "<string>",
"delivery_status": "<string>"
}
],
"total": 123,
"error": "<string>",
"repo_owner": "<string>",
"repo_name": "<string>"
}Applications
List an application's workflow runs
The GitHub Actions workflow runs of the application’s repository, newest first, read live from GitHub. A repository the platform cannot read answers 200 with error set.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
workflow-runs
List an application's workflow runs
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"conclusion": "<string>",
"branch": "<string>",
"event": "<string>",
"run_number": 123,
"created_at": "<string>",
"updated_at": "<string>",
"run_started_at": "<string>",
"html_url": "<string>",
"actor": "<string>",
"head_sha": "<string>",
"duration_seconds": 123,
"published_chart_version": "<string>",
"delivery_status": "<string>"
}
],
"total": 123,
"error": "<string>",
"repo_owner": "<string>",
"repo_name": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The application's id.
Query Parameters
Page number, from 1.
Required range:
x >= 1Runs per page.
Required range:
1 <= x <= 50Only runs in this GitHub status or conclusion (for example in_progress, completed, failure).